Package it.ernytech.tdlib

## Class TdApi.UpdateChatReadInbox

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateChatReadInbox

Enclosing class:
  TdApi

    public static class TdApi.UpdateChatReadInbox
    extends TdApi.Update

Incoming messages were read or number of unread messages has been changed.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `lastReadInboxMessageId` Identifier of the last read incoming message.
`int` `unreadCount` The number of unread messages left in the chat.

### Constructor Summary

Constructors
`UpdateChatReadInbox()` Default constructor.
`UpdateChatReadInbox​(long chatId, long lastReadInboxMessageId, int unreadCount)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### lastReadInboxMessageId

    public long lastReadInboxMessageId

Identifier of the last read incoming message.

#### unreadCount

    public int unreadCount

The number of unread messages left in the chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateChatReadInbox

    public UpdateChatReadInbox()

Default constructor.

#### UpdateChatReadInbox

    public UpdateChatReadInbox​(long chatId,
                               long lastReadInboxMessageId,
                               int unreadCount)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `lastReadInboxMessageId` - Identifier of the last read incoming message.
  `unreadCount` - The number of unread messages left in the chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR